@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif;
}

html,body{
    width: 100%;
    height: 100%;
    color: black;
}

li{
    list-style: none;
}

.container{
    max-width: 1200px;
    margin: 0 auto;
}

button{
    cursor: pointer;
}

/* ------- Nav CSS ---------- */

nav , .nav-lists{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav{
    border-bottom: 2px solid #E6E7E7;
}

.logo h1{
    font-size: 25px;
    font-weight: 800;
}

.nav-lists{
    font-weight: 600;
    gap: 40px;
    padding: 40px 0;
}

.nav-btns{
    display: flex;
    align-items: center;
    gap: 20px;
}

.nav-btns button{
    font-size: 20px;
}

.nav-btns button:nth-of-type(1) ,.nav-btns button:nth-of-type(2) {
    border: none;
    background-color: transparent;
}

.nav-btns button:nth-of-type(3){
    background-color: black;
    color: white;
    border: none;
    padding: 10px 12px;
    border-radius: 50%;
}

/* -------------- Main Section CSS ------------------ */

.main-heading{
    padding: 50px 0;
}

.heading-top{
    display: flex;
    justify-content: space-between;
}

.heading-top-left img,.heading-top-middle img{
    width: 40px;
}

.heading-top-middle img{
    margin-left: 25px;
}

.heading-top-left{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 80px;
}

.top-left-text p{
    font-weight: 600;
    font-size: 12px;
    margin-bottom: 15px;
}
.top-left-text h1{
    font-weight: 700;
    font-size: 20px;
    line-height: 30px;
}

.heading-top-right>img{
    width: 60px;
    align-self: flex-end;
    margin-top: -24px;
}

.explore-btn{
    align-self: center;
}

.explore-btn img{
    width: 150px;
}

.heading-top-middle h1{
    font-size: 60px;
    text-align: center;
}

.heading-top-right{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.explore-btn{
    background-color: transparent;
    border: none;
    cursor: pointer;
}

/* -------- Images Section CSS ---------- */

.images-section{
    width: 100%;
    display: grid;
    grid-template-rows: 35px 83px 65px 46px 66px 78px 34px;
    gap: 20px;
    margin: -100px 0 -60px;
}

.images-section img{
    width: 100%;
    height: 100%;
    border-radius: 20px;
    object-fit: cover;
}

.img-1{
    grid-row: 3 / 6;
}

.img-2{
    grid-row: 2 / 4;
}

.img-3{
    grid-row:4 / 7;
}

.img-4{
    position: relative;
    grid-row:1 / 8 ;    
}

.images-section .star-img{
    position: absolute;
    width: 80px;
    height: 80px;
    left: 50%;
    transform: translateX(-50%);
    top: -7%;
}

.img-5{
    grid-row:2 / 5 ;
}

.img-6{
    grid-row:5 / 7 ;
}

.img-7{
    grid-row: 3 / 6;
}

.images-section h2{
    text-align: center;
    grid-row:6 / 7;
    grid-column:5 / 6;
}

/* ---------- Main Bottom CSS ------------ */

.main-bottom{
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    padding-bottom: 40px;
}

.bottom-left i{
    font-size: 50px;
    margin-left: -7px;
}

.bottom-left p{
    /* font-size: 12px; */
    font-weight: 600;
    line-height: 35px;
}

.bottom-left img{
    width: 220px;
    margin-left: -20px;
}

.bottom-middle img:nth-of-type(1){
    width: 100px;
    align-self: flex-start;
}

.yellow-bar{
    width: 100px;
    align-self: center;
}

.bottom-middle{
    display: flex;
    align-items: center;
    flex-grow: 1;
    gap: 50px;
}

.bottom-middle button{
    background-color: white;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.252);
    border: none;
    border-radius: 20px;
    padding: 10px 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 12px;
    font-weight: 700;
}

.bottom-middle button i{
    font-size: 40px;
    width: 20px;
    font-weight: 500;
}

.bottom-right img{
    width: 80px;
}

.bottom-right h3{
    font-size: 10px;
    margin-left: 85px;
}

.bottom-right h3 .dot{
    display: inline-block;
    width: 2px;
    height: 2px;
    border: none;
    border-radius: 50%;
    background-color: black;
    transform: translateY(-100%);
    margin: 0 5px;
}

.bottom-right-text{
    display: flex;
    align-items: center;
    gap: 20px;
}

.bottom-right h1{
    font-size: 60px;
}

.bottom-right-text h2{
    font-size: 20px;
}

.bottom-right-text button{
    background-color:black ;
    color: white;
    font-size: 20px;
    border: none;
    border-radius: 50%;
    padding: 20px;
}

.bottom-right{
    display: flex;
    flex-direction: column;
}

.bottom-right img{
    align-self: flex-end;
    margin-bottom:50px;
}